Resolution:  Affected version: 2.6.5

Description

Associated revisions

Revision 14691 - 2015-10-19 19:04 - Jean-Philippe Lang

Display flash message if enumerations were actually saved (#19861).

History

#1 - 2015-05-17 06:22 - Toshi MARUYAMA

- Subject changed from Activities "save" and "reset"of project setting does not effect if required "activities" custom filed exist to Activities "save" and

"reset"of project setting has no effect if required "activities" custom filed exist

#2 - 2015-05-17 06:22 - Toshi MARUYAMA

- Subject changed from Activities "save" and "reset"of project setting has no effect if required "activities" custom filed exist to Activities "save" and

"reset"of project setting have no effect if required "activities" custom filed exist

#3 - 2015-06-02 05:28 - Mischa The Evil

Well, this can be replicated using a required boolean (drop-down) time tracking activity custom field without a default value. Now browse to project

settings, time entries activities and try to disable an activity and click save. Now this change is not saved. Now try to set the custom field value for one

activity and click save. This change is not saved either.

To get everything to work as expected every required time tracking activity custom field must have an actual value to get the save to store the config

properly afterwards activities can be disabled/re-enabled/reset regularly. As such is the reset function in fact working as expected.

Edit: additionally, if you change the boolean custom field to display as checkboxes it works as expected without having the box checked. If the

boolean display is set to radio-buttons the same behavior as outlined above kicks in.

I hope this helps.

Mischa.

#4 - 2015-07-25 10:57 - Jean-Philippe Lang

- Target version changed from 3.1.0 to 3.2.0

#5 - 2015-12-06 11:44 - Jean-Philippe Lang

- Target version changed from 3.2.0 to Candidate for next major release
